langcode: en
status: true
dependencies:
  config:
    - media.type.h4c_audio_upload
  module:
    - dropzonejs_eb_widget
    - media
name: h4c_media_audio_upload
label: 'Audio Upload'
display: iframe
display_configuration:
  width: 100%
  height: '500'
  link_text: 'Select entities'
  auto_open: true
selection_display: no_display
selection_display_configuration: {  }
widget_selector: tabs
widget_selector_configuration: {  }
widgets:
  316c6ccf-0607-4d34-aec9-8cd20a4c546d:
    settings:
      media_type: h4c_audio_upload
      upload_location: 'public://media/audio-upload/[date:custom:Y]-[date:custom:m]'
      dropzone_description: 'Drop files here to upload them'
      max_filesize: 64M
      extensions: 'mp3 ogg oga'
      clientside_resize: false
      resize_width: null
      resize_height: null
      resize_quality: !!float 1
      resize_method: contain
      thumbnail_method: contain
      submit_text: Upload
      auto_select: false
    uuid: 316c6ccf-0607-4d34-aec9-8cd20a4c546d
    weight: 1
    label: 'Upload Audio'
    id: dropzonejs_media_entity
